TAAS - Feature #69

Cheque Book List
10/15/2022 11:27 AM - Anil KV

Status: Reopen Bugs Testing Done Start date: 10/15/2022
Priority: Normal Due date:

Assignee: Vivekp V % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Cheque Book List

Description

Coding Cheque Book List

History

#1 - 10/15/2022 11:29 AM - Anil KV
- Assignee set to Junaid M

- Module changed from Cheque Book to Cheque Book List

#2 - 10/15/2022 10:05 PM - Anil KV

SELECT cb.pk_cheque_book _id,
cb.fk_bank_id,

ac.pk_account_id,
ac.vhr_account_name,
ac.vhr_display_name,

cb.dat_entered,
cb.vhr_cheque_book_number,
cb.vhr_start_number,
cb.vhr_end_number,
cb.arb_fk_branch_ids,

csc.int_active,

csc.int_canceled,

csc.int_used,

csc.int_sequirty

FROM paidcheque.tbl_cheque_book AS cb
LEFT JOIN (

SELECT MIN AS fk_cheque_book _id,
COUNT AS int_active,

COUNT AS int_canceled,

COUNT AS int_used,

COUNT AS int_sequirty

FROM (

SELECT * FROM CROSSTAB(

$$ SELECT vhr_cheque_number,
fk_cheque_book _id,

sin_leaf_status,

vhr_cheque_number

FROM paidcheque.tbl_cheque_leaf
ORDER BY 1 $$,

$$ SELECT sin_status FROM GENERATE_SERIES(0,3) AS sin_status $3$) AS
(vhr_cheque_number VARCHAR,
fk_cheque_book_id INT,

vhr_canceled VARCHAR,

vhr_active VARCHAR,

vhr_used VARCHAR,

vhr_sequirty VARCHAR)) AS tmp
GROUP BY fk_cheque_book_id) AS csc
ON cb.pk_cheque_book_id = csc.tk_cheque_book_id
LEFT JOIN accounts.tbl_account AS ac
ON cb.fk_bank_id = ac.pk_account_id
WHERE int_sys_action_id !=-1 AND ...
AND pk_cheque_book_id IN
SELECT

cb.pk_cheque_book_id,
cb.fk_bank id,

ac.pk_account_id,
ac.vhr_account_name,
ac.vhr_display_name,
cb.dat_entered,
cb.vhr_cheque_book_number,
cb.vhr_start_ number,
cb.vhr_end_number,
cb.arb_fk_branch_ids,
csc.int_active,

csc.int_canceled,

csc.int_used,

csc.int_sequirty

FROM paidcheque.tbl_cheque_book AS cb
LEFT JOIN (

SELECT

MIN AS fk_cheque_book_id,
COUNT AS int_active,

COUNT AS int_canceled,

COUNT AS int_used,

COUNT AS int_sequirty

FROM (

SELECT * FROM CROSSTAB(

$$ SELECT vhr_cheque_number,
fk_cheque_book _id,
sin_leaf_status,
vhr_cheque_number

FROM paidcheque.tbl_cheque_leaf
ORDER BY 1 $$,

$$ SELECT sin_status FROM GENERATE_SERIES(0,3) AS sin_status $3$) AS
(vhr_cheque_number VARCHAR,
fk_cheque_book_id INT,
vhr_canceled VARCHAR,
vhr_active VARCHAR,

vhr_used VARCHAR,

vhr_sequirty VARCHAR)) AS tmp
GROUP BY fk_cheque_book_id) AS csc

ON cb.pk_cheque_book_id = csc.tk_cheque_book_id
LEFT JOIN accounts.tbl_account AS ac

ON cb.fk_bank_id = ac.pk_account_id

WHERE cb.int_sys_action_id = -1 ;

AND pk_cheque_book_id IN;

#3 - 10/15/2022 10:07 PM - Anil KV
AND pk_cheque_book_id IN(SELECT DISTINCT fk_cheque_book_id FROM tbl_cheque_leaf WHERE vhr_cheque_number input

#4 - 10/29/2022 11:49 AM - Anonymous
- Status changed from New to Particialy Coding Done

- % Done changed from 0 to 30

#5 - 10/29/2022 11:49 AM - Anonymous
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 30 to 60

#6 - 11/08/2022 04:15 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET MANDATORY BOX RED

#7 - 11/14/2022 03:17 PM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 11/28/2022 03:03 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.SET MANDATORY FIELD RED AND REQUIRED

#9 - 02/09/2023 01:04 PM - Junaid M
- Status changed from Reopen Bugs to Coding Done

- % Done changed from 50 to 60

#10 - 06/29/2023 04:32 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S
ISSUE FOUNDED
1.ADD BLANK OPTION IN STATUS
#11 - 09/15/2023 02:42 PM - unnikannan S
unnikannan S wrote in #note-10:

ISSUE FOUNDED

1.ADD BLANK OPTION IN STATUS
2.CLICKING EDIT OPTION LOG OUT

#12 - 10/17/2023 03:03 PM - Anil KV

- Assignee changed from Junaid M to Abhiram Venu

#13 - 11/06/2023 04:45 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED****

1.EDIT ICON REDIRECTION IS NOT WORKING.

#14 - 11/21/2023 09:53 AM - Junaid M

- Assignee changed from Abhiram Venu to Shahil Haris

#15 - 11/23/2023 11:47 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 01/31/2024 12:38 PM - Junaid M
- Assignee changed from Shahil Haris to Amal Siby

#17 - 03/14/2024 12:36 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED
1.SHOWING PRINT BLANK
2.CHANGE PRINT OPTION POP UP (REFER BRANCH)

Done

#18 - 03/25/2024 10:34 AM - Junaid M
- Assignee changed from Amal Siby to Nithin Raj

#19 - 03/25/2024 05:43 PM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 03/25/2024 06:17 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50
ISSUE FOUNDED

1.FIX BUGS ON PRINT

#21 - 03/26/2024 09:52 AM - Nithin Raj

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 03/26/2024 11:37 AM - unnikannan S

ISSUE FOUNDED

1.FREEZE THE Ul FIELDS AFTER SHOWING THE DATA
#23 - 03/26/2024 11:37 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#24 - 03/26/2024 12:16 PM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 03/26/2024 05:36 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.CORRECT THE FUNCTION OF RESET BUTTON
2.SHOWING BLANK WHILE SELECTING PRINT BUTTON WITHOUT DATA

done

#26 - 04/02/2024 07:44 PM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 04/03/2024 10:49 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.CORRECT THE FUNCTION OF RESET BUTTON (REFER OTHER REPORT/LIST MODULES)
2.IN CASE OF NO DATA FOUND IN UI NOT NEED TO FREEZE THE FILTER FIELDS

#28 - 04/05/2024 04:48 PM - Junaid M
- Assignee changed from Nithin Raj to Vivekp V

#29 - 04/05/2024 07:16 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.CORRECT THE FUNCTION OF RESET BUTTON (REFER OTHER REPORT/LIST MODULES)
2.IN CASE OF NO DATA FOUND IN UI NOT NEED TO FREEZE THE FILTER FIELDS

#30 - 04/06/2024 09:42 AM - unnikannan S
TESTING DONE

#31 - 08/09/2024 10:14 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED:
1)UPDATE THE NO: OF USED, NO: OF CANCELLED AND BALANCE AS WE USE CHEQUE LEAFS

#32 - 08/22/2024 04:33 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED:
1)UPDATE THE NO: OF USED, NO: OF CANCELLED AND BALANCE AS WE USE CHEQUE LEAFS

#33 - 09/06/2024 07:36 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clear Bank Code On Focus Out While Clearing Name

#34 - 09/11/2024 10:59 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Clear Bank Code On Focus Out While Clearing Name

#35 - 09/11/2024 12:49 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Freeze The Bank Auto Completion Field After Showing Data In List
#36 - 09/12/2024 09:51 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

05/04/2025

5/6



ISSUE FIXED

1.Freeze The Bank Auto Completion Field After Showing Data In List

#37 - 10/14/2024 10:55 AM - Arathy PS

- File clipboard-202410141053-gengh.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Cheque Book List

Bank™ | BNKOO4 Habib Ba Chegue No~

Cheque Book No~ Status

# Cheque Book Start Number End Number No Of Leafs No Of Used

1 cBoo2 001 020 20

image of a newly created cheque book.

#38 - 10/17/2024 10:22 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1. Incorrect values in the used, cancelled and balance columns

#39 - 11/21/2024 04:19 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#40 - 11/21/2024 06:48 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. When status is 'not used' the the cheque books that are used are showing.

#41 - 11/26/2024 10:32 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1. When status is 'not used' the the cheque books that are used are showing.

#42 - 11/28/2024 03:55 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

No Of Cancelled

0

Balance

1

=]

s

clipboard-202410141053-gengh.png 74.7 KB 10/14/2024
